CLI
cadenya tool-sets retrieve _123require "cadenya"
client = Cadenya::Client.new
result = client.tool_sets.retrieve("_123")
puts result.inspectpackage main
import (
"context"
"fmt"
"log"
cadenya "go.cadenya.com/cadenya-go"
)
func main() {
client, err := cadenya.NewClient()
if err != nil {
log.Fatal(err)
}
ctx := context.Background()
params := &cadenya.ToolSetRetrieveParams{}
result, err := client.ToolSets().Retrieve(ctx, "_123", params)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
}import Cadenya from '@cadenya/cadenya';
const client = new Cadenya();
const result = await client.toolSets.retrieve('_123');from cadenya import Cadenya
with Cadenya() as client:
result = client.tool_sets.retrieve("_123")
print(result){
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"adapter": {
"type": "mcp",
"mcp": {
"url": "<string>",
"headers": {},
"includeTools": {
"operator": "OPERATOR_UNSPECIFIED",
"filters": [
{
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
]
},
"excludeTools": {
"operator": "OPERATOR_UNSPECIFIED",
"filters": [
{
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
]
},
"toolApprovals": {
"type": "always",
"always": true
},
"justInTime": {
"enabled": true,
"failObjectiveOnToolListError": true
}
}
},
"description": "<string>",
"overlays": [
{
"key": "<string>",
"selector": {
"operator": "OPERATOR_UNSPECIFIED",
"conditions": [
{
"type": "attribute",
"attribute": {
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
}
]
},
"disabled": true,
"parameterActions": [
{
"type": "remove",
"remove": {
"path": "<string>"
}
}
],
"resultActions": [
{
"type": "transform",
"transform": {
"contentTemplate": "<string>",
"onError": "ON_ERROR_UNSPECIFIED",
"expectJson": true
}
}
],
"widgetArgumentExposure": {
"enabled": true
}
}
]
},
"state": "STATE_UNSPECIFIED",
"info": {
"toolCount": 123,
"agentCount": 123,
"availableTools": 123,
"omittedTools": 123,
"lastSync": "2023-11-07T05:31:56Z",
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Tool Sets
Get a tool set by ID
Retrieves a tool set by ID from the workspace
GET
/
v1
/
workspaces
/
{workspaceId}
/
tool_sets
/
{id}
CLI
cadenya tool-sets retrieve _123require "cadenya"
client = Cadenya::Client.new
result = client.tool_sets.retrieve("_123")
puts result.inspectpackage main
import (
"context"
"fmt"
"log"
cadenya "go.cadenya.com/cadenya-go"
)
func main() {
client, err := cadenya.NewClient()
if err != nil {
log.Fatal(err)
}
ctx := context.Background()
params := &cadenya.ToolSetRetrieveParams{}
result, err := client.ToolSets().Retrieve(ctx, "_123", params)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
}import Cadenya from '@cadenya/cadenya';
const client = new Cadenya();
const result = await client.toolSets.retrieve('_123');from cadenya import Cadenya
with Cadenya() as client:
result = client.tool_sets.retrieve("_123")
print(result){
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"adapter": {
"type": "mcp",
"mcp": {
"url": "<string>",
"headers": {},
"includeTools": {
"operator": "OPERATOR_UNSPECIFIED",
"filters": [
{
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
]
},
"excludeTools": {
"operator": "OPERATOR_UNSPECIFIED",
"filters": [
{
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
]
},
"toolApprovals": {
"type": "always",
"always": true
},
"justInTime": {
"enabled": true,
"failObjectiveOnToolListError": true
}
}
},
"description": "<string>",
"overlays": [
{
"key": "<string>",
"selector": {
"operator": "OPERATOR_UNSPECIFIED",
"conditions": [
{
"type": "attribute",
"attribute": {
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
}
]
},
"disabled": true,
"parameterActions": [
{
"type": "remove",
"remove": {
"path": "<string>"
}
}
],
"resultActions": [
{
"type": "transform",
"transform": {
"contentTemplate": "<string>",
"onError": "ON_ERROR_UNSPECIFIED",
"expectJson": true
}
}
],
"widgetArgumentExposure": {
"enabled": true
}
}
]
},
"state": "STATE_UNSPECIFIED",
"info": {
"toolCount": 123,
"agentCount": 123,
"availableTools": 123,
"omittedTools": 123,
"lastSync": "2023-11-07T05:31:56Z",
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Workspace ID.
Example:
"workspace_01HXKD2E5NQM3T9AYWCF133E3Q"
Tool set ID. Accepts the canonical ts_… form or the external_id: form.
Example:
"toolset_01HXKD2E5NQM3T9AYWCFNRMN74"
Response
OK
Standard metadata for persistent, named resources (e.g., agents, tools, prompts)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The current lifecycle state of the tool set. Output only. Tool sets are created STATE_ACTIVE; use the :archive and :unarchive actions to transition between states.
Available options:
STATE_UNSPECIFIED, STATE_ACTIVE, STATE_ARCHIVED Tool set information
Show child attributes
Show child attributes